Get the most recent user resources
curl --request GET \
--url https://api.storiza.store/resources/top \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/resources/top', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/resources/top"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "Top resources retrieved successfully",
"data": [
{
"type": "vps",
"resource": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Example VPS",
"description": "Example VPS",
"isCancelled": false,
"suspended": false,
"cancelledAt": null,
"provisionCurrentStep": 0,
"owner": {
"id": "example-owner-id"
},
"datacenter": {
"id": "00000000-0000-4000-8000-000000000000"
},
"plan": {
"id": "00000000-0000-4000-8000-000000000000"
},
"template": {
"id": "00000000-0000-4000-8000-000000000000"
},
"inputs": {},
"ip": null,
"additionalIps": [],
"backupPlan": null,
"subscriptionId": "00000000-0000-4000-8000-000000000000",
"subscription": {
"id": "00000000-0000-4000-8000-000000000000"
},
"backupSubscription": null,
"backupCancelled": false,
"backupCancelledAt": null,
"backupSubscriptionExpiresAt": null,
"hostname": "example-hostname",
"sshKey": null,
"members": [],
"createdAt": "2026-10-09T14:57:34.001Z",
"updatedAt": "2026-10-09T14:57:34.001Z",
"requiresProvision": false,
"provision": null,
"status": "Pending"
}
}
]
}Account
Get the most recent user resources
Retrieve the most recently created VPS for the user, sorted by creation date
Required API key permission: account:read
GET
/
resources
/
top
Get the most recent user resources
curl --request GET \
--url https://api.storiza.store/resources/top \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/resources/top', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/resources/top"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "Top resources retrieved successfully",
"data": [
{
"type": "vps",
"resource": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Example VPS",
"description": "Example VPS",
"isCancelled": false,
"suspended": false,
"cancelledAt": null,
"provisionCurrentStep": 0,
"owner": {
"id": "example-owner-id"
},
"datacenter": {
"id": "00000000-0000-4000-8000-000000000000"
},
"plan": {
"id": "00000000-0000-4000-8000-000000000000"
},
"template": {
"id": "00000000-0000-4000-8000-000000000000"
},
"inputs": {},
"ip": null,
"additionalIps": [],
"backupPlan": null,
"subscriptionId": "00000000-0000-4000-8000-000000000000",
"subscription": {
"id": "00000000-0000-4000-8000-000000000000"
},
"backupSubscription": null,
"backupCancelled": false,
"backupCancelledAt": null,
"backupSubscriptionExpiresAt": null,
"hostname": "example-hostname",
"sshKey": null,
"members": [],
"createdAt": "2026-10-09T14:57:34.001Z",
"updatedAt": "2026-10-09T14:57:34.001Z",
"requiresProvision": false,
"provision": null,
"status": "Pending"
}
}
]
}Authorizations
An API key from the Storiza dashboard (API & Integrations), sent as Authorization: Bearer stz_….
Query Parameters
Was this page helpful?